js_flowinfo.d(1m)

NAME
js_flowinfo.d - JavaScript function flow with info using DTrace.

SYNOPSIS
js_flowinfo.d

DESCRIPTION
This traces activity from all browsers on the system that are running with JavaScript provider support. Filename and function names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace JavaScript provider, which may change as additional features are introduced. Check JavaScript/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # js_flowinfo.d

FIELDS

C   CPU-id

PID Process ID

DELTA(us)
    Elapsed time from previous line to this line

FILE
    Filename of the JavScript program

LINE
    Line number of filename

TYPE
    Type of call (func)

FUNC
    Function name

LEGEND

->  function entry

<-  function return

WARNING
Watch the first column carefully, it prints the CPU-id. If it changes, then it is very likely that the output has been shuffled.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
js_flowinfo.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)